% depreciation_schedule.m  program to calculate the accounting depreciation on a machine using the MACRS rule
%                          Copyright, all rights reserved, John Rust, Georgetown University, John McClelland, ARA June 2018

function [rv]=depreciation_schedule(n);

% n is the accounting lifetime of the machine
% r is the annual interest rate

    rv=[];

    n=72;

    for i=1:n;

       if (i <= 12);

          rv=[rv; 1-.2*i/12];

       elseif (i > 12 && i <= 24);

          rv=[rv; rv(12)-.32*(i-12)/12];

       elseif (i > 24 && i <= 36);
  
          rv=[rv; rv(24)-.192*(i-24)/12];

       elseif (i > 36 && i <= 48);
  
          rv=[rv; rv(36)-.1152*(i-36)/12];

       elseif (i > 48 && i <= 60);
  
          rv=[rv; rv(48)-.1152*(i-48)/12];

       elseif (i > 60);
  
          rv=[rv; rv(60)-.0576*(i-60)/12];

       end;

    end;  



