% dr.m: function to return values of the optimal decision rule d(age,ms,month) stored in the vector d
%       Copyright, all rights reserved, John Rust, Georgetown University, John McClelland, ARA June, 2018


   function [drv]=dr(age,ms,month);

   global nm na d;

   if (age <= 0);

      fprintf('Error: age cannot be negative or zero: age=%i\n',age);
      return;

   end;

   if (age > na);

      fprintf('Error: age cannot exceed maximum value %i\n',na);
      return;

   end;

   if (ms > nm);

      fprintf('Error: macro state cannot exceed maximum value %i\n',nm);
      return;

   end;

   ind=(month-1)*nm*na+nm*(age-1)+ms;
   drv=d(ind);



