% emaint.m:  computes expected maintenance costs for a machine
%            Copyright, all rights reserved, John Rust, Georgetown University, John McClelland, ARA June, 2018 

   function [emv]=emaint(age,ms,month);

   global machine make company region log_maint_var log_maint_beta;

   oec=oecsales(age,ms,month);

   if (machine == 1);  % excavator

       emv=log_maint_var/2+log_maint_beta(1)+log_maint_beta(2)*log(oec)+log_maint_beta(3)*age;
       if (make == 3);
        emv=emv+log_maint_beta(4);
       elseif (make == 4);
        emv=emv+log_maint_beta(5);
       end;

   elseif (machine == 2);  % high-reach forklift

       emv=log_maint_var/2+log_maint_beta(1)+log_maint_beta(2)*log(oec)+log_maint_beta(3)*age;
       if (make == 2);
        emv=emv+log_maint_beta(4);
       elseif (make == 3);
        emv=emv+log_maint_beta(5);
       elseif (make == 4);
        emv=emv+log_maint_beta(6);
       elseif (make == 5);
        emv=emv+log_maint_beta(7);
       end;
              
   elseif (machine == 3);   % skid steer

       emv=log_maint_var/2+log_maint_beta(1)+log_maint_beta(2)*log(oec)+log_maint_beta(3)*age;
       if (make == 2);
        emv=emv+log_maint_beta(4);
       end;
              
   elseif (machine == 4);   % scissor lift

       emv=log_maint_var/2+log_maint_beta(1)+log_maint_beta(2)*log(oec)+log_maint_beta(3)*age;
       if (make == 2);
        emv=emv+log_maint_beta(4);
       elseif (make == 3);
        emv=emv+log_maint_beta(5);
       end;
              
   else;   % telescopic boom

       emv=log_maint_var/2+log_maint_beta(1)+log_maint_beta(2)*log(oec)+log_maint_beta(3)*age;
       if (make == 2);
        emv=emv+log_maint_beta(4);
       elseif (make == 3);
        emv=emv+log_maint_beta(5);
       end;

   end;

   emv=exp(emv);
