% ergodic.m: finds the invariant distribution for an NxN Markov transition probability
%            Copyright, all rights reserved, John Rust, Georgetown University, John McClelland, ARA June 2018


  function [ed]=ergodic(p);

     n=size(p,1);

     if (size(p,2)~= n);
        fprint('Error: p must be a square matrix\n');
        ed=NaN;
     end;

     ap=eye(n)-p';
 
     ap=[ap; ones(1,n)];

     ap=[ap ones(n+1,1)];

     if (rank(ap) < n+1);
        fprintf('Error: transition matrix p is not ergodic\n');
        ed=NaN;
     end;

     ed=ones(n,1);

     ed=[ed; 2];
 
     ed=inv(ap)*ed;

     ed=ed(1:n);
