% ergodic_macro_states: computes the 36 x 1 ergodic probability distribution for the 36 x 36 transition
%                       matrix for month/macro state using the mtp.m function
%                       Copyright, all rights reserved, John Rust, Georgetown University, John McClelland, ARA June 2018

function [ermsv]=ergodic_macro_status;

global nm;

tpm=zeros(12*nm,12*nm);

for i=1:12;
   for j=1:nm;
     if (i==12);
       tpm(11*nm+j,1:nm)=mtp(j,i)';
     else;
       tpm((i-1)*nm+j,i*nm+1:(i+1)*nm)=mtp(j,i)';
     end;
   end;
end;

ermsv=ergodic(tpm); 
