% mtp.m: evaluates the transition probability for the macro state 
%        Copyright, All rights reserved, John Rust, Georgetown University,  John McClelland, ARA  June, 2018

function [mtpv]=mtp(ms,month);

    global logit_b nm;

    mtpv=zeros(nm,1);
    mtpv(nm)=1.0;

    for j=1:nm-1;
       mtpv(j)=exp(logit_b(1,j)+logit_b(2,j)*(ms==1)+logit_b(3,j)*(ms==2)+...
              logit_b(4,j)*(month==1)+logit_b(5,j)*(month==2)+logit_b(6,j)*(month==3)+logit_b(7,j)*(month==4)+...
              logit_b(8,j)*(month==5)+logit_b(9,j)*(month==6)+logit_b(10,j)*(month==7)+logit_b(11,j)*(month==8)+...
              logit_b(12,j)*(month==9)+logit_b(13,j)*(month==10)+logit_b(14,j)*(month==11));
    end;

    mtpv=mtpv/sum(mtpv);

    mtpv';
