% oecesales.m: computes expected oec and resale price of machines
%              Copyright, all rights reserved, John Rust, Georgetown University, John McClelland, ARA June, 2018 

   function [esv]=oecsales(age,ms,month);

   global machine make company oec region log_oec_sales_var log_oec_sales_beta pms;

   if (machine == 1);  % excavator

       seg1=age.*(age<=40)+40*(age>40);
       seg2=(age-40)*(age > 40);

       esv=log_oec_sales_var/2+log_oec_sales_beta(1);

       if (make == 2);
        esv=esv+log_oec_sales_beta(2);
       elseif (make == 3);
        esv=esv+log_oec_sales_beta(3);
       elseif (make == 4);
        esv=esv+log_oec_sales_beta(4);
       end;

       if (month == 2);
        esv=esv+log_oec_sales_beta(5);
       elseif (month == 3);
        esv=esv+log_oec_sales_beta(6);
       elseif (month == 4);
        esv=esv+log_oec_sales_beta(7);
       elseif (month == 5);
        esv=esv+log_oec_sales_beta(8);
       elseif (month == 6);
        esv=esv+log_oec_sales_beta(9);
       elseif (month == 7);
        esv=esv+log_oec_sales_beta(10);
       elseif (month == 8);
        esv=esv+log_oec_sales_beta(11);
       elseif (month == 9);
        esv=esv+log_oec_sales_beta(12);
       elseif (month == 10);
        esv=esv+log_oec_sales_beta(13);
       elseif (month == 11);
        esv=esv+log_oec_sales_beta(14);
       elseif (month == 12);
        esv=esv+log_oec_sales_beta(15);
       end;
      
       esv=esv+log_oec_sales_beta(18)*seg1+log_oec_sales_beta(19)*seg2;

       if (ms == 2);
         if (pms);
           esv=esv+log_oec_sales_beta(16);
         else;
           esv=esv+log_oec_sales_beta(16)+...
             log_oec_sales_beta(20)*seg1+log_oec_sales_beta(22)*seg2;
         end;
       end;
       if (ms == 3);
         if (pms);
           esv=esv+log_oec_sales_beta(17);
         else;
           esv=esv+log_oec_sales_beta(17)+...
             log_oec_sales_beta(21)*seg1+log_oec_sales_beta(23)*seg2;
         end;
       end;
 
   elseif (machine == 2);  % high-reach forklift

       seg1=age.*(age<=40)+40*(age>40);
       seg2=(age-40)*(age > 40);

       esv=log_oec_sales_var/2+log_oec_sales_beta(1);

       if (make == 2);
        esv=esv+log_oec_sales_beta(2);
       elseif (make == 3);
        esv=esv+log_oec_sales_beta(3);
       elseif (make == 4);
        esv=esv+log_oec_sales_beta(4);
       elseif (make == 5);
        esv=esv+log_oec_sales_beta(5);
       end;

       if (month == 2);
        esv=esv+log_oec_sales_beta(6);
       elseif (month == 3);
        esv=esv+log_oec_sales_beta(7);
       elseif (month == 4);
        esv=esv+log_oec_sales_beta(8);
       elseif (month == 5);
        esv=esv+log_oec_sales_beta(9);
       elseif (month == 6);
        esv=esv+log_oec_sales_beta(10);
       elseif (month == 7);
        esv=esv+log_oec_sales_beta(11);
       elseif (month == 8);
        esv=esv+log_oec_sales_beta(12);
       elseif (month == 9);
        esv=esv+log_oec_sales_beta(13);
       elseif (month == 10);
        esv=esv+log_oec_sales_beta(14);
       elseif (month == 11);
        esv=esv+log_oec_sales_beta(15);
       elseif (month == 12);
        esv=esv+log_oec_sales_beta(16);
       end;
      
       esv=esv+log_oec_sales_beta(19)*seg1+log_oec_sales_beta(20)*seg2;

       if (ms == 2);
         if (pms);
           esv=esv+log_oec_sales_beta(17);
         else;
           esv=esv+log_oec_sales_beta(17)+...
             log_oec_sales_beta(21)*seg1+log_oec_sales_beta(23)*seg2;
         end;
       end;
       if (ms == 3);
         if (pms);
           esv=esv+log_oec_sales_beta(18);
         else;
           esv=esv+log_oec_sales_beta(18)+...
             log_oec_sales_beta(22)*seg1+log_oec_sales_beta(24)*seg2;
         end;
       end;
              
   elseif (machine == 3);   % skid steer

       seg1=age.*(age<=40)+40*(age>40);
       seg2=(age-40)*(age > 40);

       esv=log_oec_sales_var/2+log_oec_sales_beta(1);

       if (make == 1);
        esv=esv+log_oec_sales_beta(2);
       end;

       if (month == 2);
        esv=esv+log_oec_sales_beta(3);
       elseif (month == 3);
        esv=esv+log_oec_sales_beta(4);
       elseif (month == 4);
        esv=esv+log_oec_sales_beta(5);
       elseif (month == 5);
        esv=esv+log_oec_sales_beta(6);
       elseif (month == 6);
        esv=esv+log_oec_sales_beta(7);
       elseif (month == 7);
        esv=esv+log_oec_sales_beta(8);
       elseif (month == 8);
        esv=esv+log_oec_sales_beta(9);
       elseif (month == 9);
        esv=esv+log_oec_sales_beta(10);
       elseif (month == 10);
        esv=esv+log_oec_sales_beta(11);
       elseif (month == 11);
        esv=esv+log_oec_sales_beta(12);
       elseif (month == 12);
        esv=esv+log_oec_sales_beta(13);
       end;
      
       esv=esv+log_oec_sales_beta(16)*seg1+log_oec_sales_beta(17)*seg2;

       if (ms == 2);
         if (pms);
           esv=esv+log_oec_sales_beta(14);
         else;
           esv=esv+log_oec_sales_beta(14)+...
             log_oec_sales_beta(18)*seg1+log_oec_sales_beta(20)*seg2;
         end;
       end;
       if (ms == 3);
         if (pms);
           esv=esv+log_oec_sales_beta(15);
         else;
           esv=esv+log_oec_sales_beta(15)+...
             log_oec_sales_beta(19)*seg1+log_oec_sales_beta(21)*seg2;
         end;
       end;
 

   elseif (machine == 4);   % scissor lift

       seg1=age.*(age<=40)+40*(age>40);
       seg2=(age-40)*(age > 40);

       esv=log_oec_sales_var/2+log_oec_sales_beta(1);

       if (make == 2);
        esv=esv+log_oec_sales_beta(2);
       elseif (make == 3);
        esv=esv+log_oec_sales_beta(3);
       end;

       if (month == 2);
        esv=esv+log_oec_sales_beta(4);
       elseif (month == 3);
        esv=esv+log_oec_sales_beta(5);
       elseif (month == 4);
        esv=esv+log_oec_sales_beta(6);
       elseif (month == 5);
        esv=esv+log_oec_sales_beta(7);
       elseif (month == 6);
        esv=esv+log_oec_sales_beta(8);
       elseif (month == 7);
        esv=esv+log_oec_sales_beta(9);
       elseif (month == 8);
        esv=esv+log_oec_sales_beta(10);
       elseif (month == 9);
        esv=esv+log_oec_sales_beta(11);
       elseif (month == 10);
        esv=esv+log_oec_sales_beta(12);
       elseif (month == 11);
        esv=esv+log_oec_sales_beta(13);
       elseif (month == 12);
        esv=esv+log_oec_sales_beta(14);
       end;
      
       esv=esv+log_oec_sales_beta(17)*seg1+log_oec_sales_beta(18)*seg2;

       if (ms == 2);
         if (pms);
           esv=esv+log_oec_sales_beta(15);
         else;
           esv=esv+log_oec_sales_beta(15)+...
             log_oec_sales_beta(19)*seg1+log_oec_sales_beta(21)*seg2;
         end;
       end;
       if (ms == 3);
         if (pms);
           esv=esv+log_oec_sales_beta(16);
         else;
           esv=esv+log_oec_sales_beta(16)+...
             log_oec_sales_beta(20)*seg1+log_oec_sales_beta(22)*seg2;
         end;
       end;
 

   else;   % telescopic boom

       seg1=age.*(age<=40)+40*(age>40);
       seg2=(age-40)*(age > 40);

       esv=log_oec_sales_var/2+log_oec_sales_beta(1);

       if (make == 2);
        esv=esv+log_oec_sales_beta(2);
       elseif (make == 3);
        esv=esv+log_oec_sales_beta(3);
       end;

       if (month == 2);
        esv=esv+log_oec_sales_beta(4);
       elseif (month == 3);
        esv=esv+log_oec_sales_beta(5);
       elseif (month == 4);
        esv=esv+log_oec_sales_beta(6);
       elseif (month == 5);
        esv=esv+log_oec_sales_beta(7);
       elseif (month == 6);
        esv=esv+log_oec_sales_beta(8);
       elseif (month == 7);
        esv=esv+log_oec_sales_beta(9);
       elseif (month == 8);
        esv=esv+log_oec_sales_beta(10);
       elseif (month == 9);
        esv=esv+log_oec_sales_beta(11);
       elseif (month == 10);
        esv=esv+log_oec_sales_beta(12);
       elseif (month == 11);
        esv=esv+log_oec_sales_beta(13);
       elseif (month == 12);
        esv=esv+log_oec_sales_beta(14);
       end;
      
       esv=esv+log_oec_sales_beta(17)*seg1+log_oec_sales_beta(18)*seg2;

       if (ms == 2);
         if (pms);
           esv=esv+log_oec_sales_beta(15);
         else;
           esv=esv+log_oec_sales_beta(15)+...
             log_oec_sales_beta(19)*seg1+log_oec_sales_beta(21)*seg2;
         end;
       end;
       if (ms == 3);
         if (pms);
           esv=esv+log_oec_sales_beta(16);
         else;
           esv=esv+log_oec_sales_beta(16)+...
             log_oec_sales_beta(20)*seg1+log_oec_sales_beta(22)*seg2;
         end;
       end;

   end;

   esv=exp(esv);
