% rentrev.m: computes expected rental revenues
%            Copyright, all rights reserved, John Rust, Georgetown University,  John McClelland, ARA June, 2018 

   function [rrv]=rentrev(age,ms,month);

   global machine make company region log_oec_sales_beta log_oec_sales_var log_rental_var log_rental_beta;

   oec=oecsales(age,ms,month);

   if (machine == 1);  % excavator

       rrv=log_rental_var/2+log_rental_beta(1)+log_rental_beta(3)*log(oec)+log_rental_beta(2)*age;
       if (make == 1);
        rrv=rrv+log_rental_beta(4);
       elseif (make == 2);
        rrv=rrv+log_rental_beta(5);
       elseif (make == 3);
        rrv=rrv+log_rental_beta(6);
       elseif (make == 4);
        rrv=rrv+log_rental_beta(7);
       end;
       if (region == 3);
        rrv=rrv+log_rental_beta(8);
       elseif (region == 4);
        rrv=rrv+log_rental_beta(9);
       elseif (region == 6);
        rrv=rrv+log_rental_beta(10);
       end;
       if (month == 2);
        rrv=rrv+log_rental_beta(11);
       elseif (month == 3);
        rrv=rrv+log_rental_beta(12);
       elseif (month == 4);
        rrv=rrv+log_rental_beta(13);
       elseif (month == 5);
        rrv=rrv+log_rental_beta(14);
       elseif (month == 6);
        rrv=rrv+log_rental_beta(15);
       elseif (month == 7);
        rrv=rrv+log_rental_beta(16);
       elseif (month == 8);
        rrv=rrv+log_rental_beta(17);
       elseif (month == 9);
        rrv=rrv+log_rental_beta(18);
       elseif (month == 10);
        rrv=rrv+log_rental_beta(19);
       elseif (month == 11);
        rrv=rrv+log_rental_beta(20);
       elseif (month == 12);
        rrv=rrv+log_rental_beta(21);
       end;
       if (company == 1);
        rrv=rrv+log_rental_beta(22);
       elseif (company == 2);
        rrv=rrv+log_rental_beta(23);
       elseif (company == 3);
        rrv=rrv+log_rental_beta(24);
       elseif (company == 5);
        rrv=rrv+log_rental_beta(25);
       elseif (company == 6);
        rrv=rrv+log_rental_beta(26);
       end;

       if (ms == 2);
         rrv=rrv+log_rental_beta(27);
       end;
       if (ms == 3);
         rrv=rrv+log_rental_beta(28);
       end;
              
   elseif (machine == 2);  % high-reach forklift

       rrv=log_rental_var/2+log_rental_beta(1)+log_rental_beta(3)*log(oec)+log_rental_beta(2)*age;
       if (make == 1);
        rrv=rrv+log_rental_beta(4);
       elseif (make == 2);
        rrv=rrv+log_rental_beta(5);
       elseif (make == 3);
        rrv=rrv+log_rental_beta(6);
       elseif (make == 5);
        rrv=rrv+log_rental_beta(7);
       elseif (make == 6);
        rrv=rrv+log_rental_beta(8);
       end;
       if (region == 2);
        rrv=rrv+log_rental_beta(9);
       elseif (region == 4);
        rrv=rrv+log_rental_beta(10);
       elseif (region == 6);
        rrv=rrv+log_rental_beta(11);
       end;
       if (month == 2);
        rrv=rrv+log_rental_beta(12);
       elseif (month == 3);
        rrv=rrv+log_rental_beta(13);
       elseif (month == 4);
        rrv=rrv+log_rental_beta(14);
       elseif (month == 5);
        rrv=rrv+log_rental_beta(15);
       elseif (month == 6);
        rrv=rrv+log_rental_beta(16);
       elseif (month == 7);
        rrv=rrv+log_rental_beta(17);
       elseif (month == 8);
        rrv=rrv+log_rental_beta(18);
       elseif (month == 9);
        rrv=rrv+log_rental_beta(19);
       elseif (month == 10);
        rrv=rrv+log_rental_beta(20);
       elseif (month == 11);
        rrv=rrv+log_rental_beta(21);
       elseif (month == 12);
        rrv=rrv+log_rental_beta(22);
       end;
       if (company == 2);
        rrv=rrv+log_rental_beta(23);
       elseif (company == 3);
        rrv=rrv+log_rental_beta(24);
       elseif (company == 4);
        rrv=rrv+log_rental_beta(25);
       elseif (company == 5);
        rrv=rrv+log_rental_beta(26);
       end;

       if (ms == 2);
        rrv=rrv+log_rental_beta(27);
       end;
       if (ms == 3);
        rrv=rrv+log_rental_beta(28);
       end;

   elseif (machine == 3);   % skid steer

       rrv=log_rental_var/2+log_rental_beta(1)+log_rental_beta(3)*log(oec)+log_rental_beta(2)*age;
       if (make == 2);
        rrv=rrv+log_rental_beta(4);
       end;
       if (region == 2);
        rrv=rrv+log_rental_beta(5);
       elseif (region == 3);
        rrv=rrv+log_rental_beta(6);
       elseif (region == 6);
        rrv=rrv+log_rental_beta(7);
       end;
       if (month == 2);
        rrv=rrv+log_rental_beta(8);
       elseif (month == 3);
        rrv=rrv+log_rental_beta(9);
       elseif (month == 4);
        rrv=rrv+log_rental_beta(10);
       elseif (month == 5);
        rrv=rrv+log_rental_beta(11);
       elseif (month == 6);
        rrv=rrv+log_rental_beta(12);
       elseif (month == 7);
        rrv=rrv+log_rental_beta(13);
       elseif (month == 8);
        rrv=rrv+log_rental_beta(14);
       elseif (month == 9);
        rrv=rrv+log_rental_beta(15);
       elseif (month == 10);
        rrv=rrv+log_rental_beta(16);
       elseif (month == 11);
        rrv=rrv+log_rental_beta(17);
       elseif (month == 12);
        rrv=rrv+log_rental_beta(18);
       end;
       if (company == 1);
        rrv=rrv+log_rental_beta(19);
       elseif (company == 3);
        rrv=rrv+log_rental_beta(20);
       elseif (company == 5);
        rrv=rrv+log_rental_beta(21);
       elseif (company == 6);
        rrv=rrv+log_rental_beta(22);
       end;

       if (ms == 2);
        rrv=rrv+log_rental_beta(23);
       end;
       if (ms == 3);
        rrv=rrv+log_rental_beta(24);
       end;

   elseif (machine == 4);   % scissor lift

       rrv=log_rental_var/2+log_rental_beta(1)+log_rental_beta(3)*log(oec)+log_rental_beta(2)*age;
       if (make == 2);
        rrv=rrv+log_rental_beta(4);
       elseif (make == 3);
        rrv=rrv+log_rental_beta(5);
       end;
       if (region == 2);
        rrv=rrv+log_rental_beta(6);
       elseif (region == 3);
        rrv=rrv+log_rental_beta(7);
       elseif (region == 6);
        rrv=rrv+log_rental_beta(8);
       end;
       if (month == 2);
        rrv=rrv+log_rental_beta(9);
       elseif (month == 3);
        rrv=rrv+log_rental_beta(10);
       elseif (month == 4);
        rrv=rrv+log_rental_beta(11);
       elseif (month == 5);
        rrv=rrv+log_rental_beta(12);
       elseif (month == 6);
        rrv=rrv+log_rental_beta(13);
       elseif (month == 7);
        rrv=rrv+log_rental_beta(14);
       elseif (month == 8);
        rrv=rrv+log_rental_beta(15);
       elseif (month == 9);
        rrv=rrv+log_rental_beta(16);
       elseif (month == 10);
        rrv=rrv+log_rental_beta(17);
       elseif (month == 11);
        rrv=rrv+log_rental_beta(18);
       elseif (month == 12);
        rrv=rrv+log_rental_beta(19);
       end;
       if (company == 2);
        rrv=rrv+log_rental_beta(20);
       elseif (company == 3);
        rrv=rrv+log_rental_beta(21);
       elseif (company == 4);
        rrv=rrv+log_rental_beta(22);
       elseif (company == 5);
        rrv=rrv+log_rental_beta(23);
       elseif (company == 6);
        rrv=rrv+log_rental_beta(24);
       end;

       if (ms == 2);
        rrv=rrv+log_rental_beta(25);
       end;
       if (ms == 3);
        rrv=rrv+log_rental_beta(26);
       end;

   else;   % telescopic boom

       rrv=log_rental_var/2+log_rental_beta(1)+log_rental_beta(3)*log(oec)+log_rental_beta(2)*age;
       if (make == 2);
        rrv=rrv+log_rental_beta(4);
       elseif (make == 3);
        rrv=rrv+log_rental_beta(5);
       end;
       if (region == 2);
        rrv=rrv+log_rental_beta(6);
       elseif (region == 3);
        rrv=rrv+log_rental_beta(7);
       elseif (region == 6);
        rrv=rrv+log_rental_beta(8);
       end;
       if (month == 2);
        rrv=rrv+log_rental_beta(9);
       elseif (month == 3);
        rrv=rrv+log_rental_beta(10);
       elseif (month == 4);
        rrv=rrv+log_rental_beta(11);
       elseif (month == 5);
        rrv=rrv+log_rental_beta(12);
       elseif (month == 6);
        rrv=rrv+log_rental_beta(13);
       elseif (month == 7);
        rrv=rrv+log_rental_beta(14);
       elseif (month == 8);
        rrv=rrv+log_rental_beta(15);
       elseif (month == 9);
        rrv=rrv+log_rental_beta(16);
       elseif (month == 10);
        rrv=rrv+log_rental_beta(17);
       elseif (month == 11);
        rrv=rrv+log_rental_beta(18);
       elseif (month == 12);
        rrv=rrv+log_rental_beta(19);
       end;
       if (company == 1);
        rrv=rrv+log_rental_beta(20);
       elseif (company == 3);
        rrv=rrv+log_rental_beta(21);
       elseif (company == 5);
        rrv=rrv+log_rental_beta(22);
       elseif (company == 6);
        rrv=rrv+log_rental_beta(23);
       end;

       if (ms == 2);
        rrv=rrv+log_rental_beta(24);
       end;
       if (ms == 3);
        rrv=rrv+log_rental_beta(25);
       end;

   end;

   rrv=exp(rrv);
