% salep.m: computes the "status quo" probability of selling (and replacing) a machine
%          Copyright, all rights reserved, John Rust, Georgetown University, John McClelland, ARA  June, 2018 

   function [spv]=salep(age,ms,month);

   global machine make company oec region sales_logit_b;

   if (machine == 1);  % excavator

       spv=sales_logit_b(1)+sales_logit_b(2)*age;

       if (ms == 2);
          spv=spv+sales_logit_b(3)+sales_logit_b(28)*age;
       elseif (ms == 3);
          spv=spv+sales_logit_b(4)+sales_logit_b(29)*age;
       end;

       if (make == 2);
        spv=spv+sales_logit_b(5);
       elseif (make == 3);
        spv=spv+sales_logit_b(6);
       elseif (make == 4);
        spv=spv+sales_logit_b(7);
       end;

       if (region == 1);
        spv=spv+sales_logit_b(8);
       elseif (region == 2);
        spv=spv+sales_logit_b(9);
       elseif (region == 3);
        spv=spv+sales_logit_b(10);
       elseif (region == 5);
        spv=spv+sales_logit_b(11);
       elseif (region == 6);
        spv=spv+sales_logit_b(12);
       end;

       if (company == 1);
        spv=spv+sales_logit_b(13)+sales_logit_b(30)*age;
       elseif (company == 3);
        spv=spv+sales_logit_b(14)+sales_logit_b(31)*age;
       elseif (company == 4);
        spv=spv+sales_logit_b(15)+sales_logit_b(32)*age;
       end;
 
       if (month == 1);
        spv=spv+sales_logit_b(17);
       elseif (month == 2);
        spv=spv+sales_logit_b(18);
       elseif (month == 3);
        spv=spv+sales_logit_b(19);
       elseif (month == 4);
        spv=spv+sales_logit_b(20);
       elseif (month == 5);
        spv=spv+sales_logit_b(21);
       elseif (month == 6);
        spv=spv+sales_logit_b(22);
       elseif (month == 7);
        spv=spv+sales_logit_b(23);
       elseif (month == 8);
        spv=spv+sales_logit_b(24);
       elseif (month == 9);
        spv=spv+sales_logit_b(25);
       elseif (month == 10);
        spv=spv+sales_logit_b(26);
       elseif (month == 11);
        spv=spv+sales_logit_b(27);
       end;
              
   elseif (machine == 2);  % high-reach forklift

       spv=sales_logit_b(1)+sales_logit_b(2)*age;

       if (ms == 2);
          spv=spv+sales_logit_b(3)+sales_logit_b(28)*age;
       elseif (ms == 3);
          spv=spv+sales_logit_b(4)+sales_logit_b(29)*age;
       end;

       if (make == 2);
        spv=spv+sales_logit_b(3);
       elseif (make == 3);
        spv=spv+sales_logit_b(4);
       elseif (make == 4);
        spv=spv+sales_logit_b(5);
       elseif (make == 5);
        spv=spv+sales_logit_b(6);
       end;

       if (region == 1);
        spv=spv+sales_logit_b(7);
       elseif (region == 2);
        spv=spv+sales_logit_b(8);
       elseif (region == 3);
        spv=spv+sales_logit_b(9);
       elseif (region == 5);
        spv=spv+sales_logit_b(10);
       elseif (region == 6);
        spv=spv+sales_logit_b(11);
       end;

       if (company == 1);
        spv=spv+sales_logit_b(12)+sales_logit_b(30)*age;
       elseif (company == 3);
        spv=spv+sales_logit_b(13)+sales_logit_b(31)*age;
       elseif (company == 5);
        spv=spv+sales_logit_b(14)+sales_logit_b(32)*age;
       end;
 
       if (month == 1);
        spv=spv+sales_logit_b(15);
       elseif (month == 2);
        spv=spv+sales_logit_b(16);
       elseif (month == 3);
        spv=spv+sales_logit_b(17);
       elseif (month == 4);
        spv=spv+sales_logit_b(18);
       elseif (month == 5);
        spv=spv+sales_logit_b(19);
       elseif (month == 6);
        spv=spv+sales_logit_b(20);
       elseif (month == 7);
        spv=spv+sales_logit_b(21);
       elseif (month == 8);
        spv=spv+sales_logit_b(22);
       elseif (month == 9);
        spv=spv+sales_logit_b(23);
       elseif (month == 10);
        spv=spv+sales_logit_b(24);
       elseif (month == 11);
        spv=spv+sales_logit_b(25);
       end;
              
   elseif (machine == 3);   % skid steer

       spv=sales_logit_b(1)+sales_logit_b(2)*age;

       if (make == 2);
        spv=spv+sales_logit_b(3);
       end;

       if (ms == 2);
          spv=spv+sales_logit_b(3)+sales_logit_b(25)*age;
       elseif (ms == 3);
          spv=spv+sales_logit_b(4)+sales_logit_b(26)*age;
       end;

       if (region == 1);
        spv=spv+sales_logit_b(4);
       elseif (region == 2);
        spv=spv+sales_logit_b(5);
       elseif (region == 3);
        spv=spv+sales_logit_b(6);
       elseif (region == 5);
        spv=spv+sales_logit_b(7);
       elseif (region == 6);
        spv=spv+sales_logit_b(8);
       end;

       if (company == 1);
        spv=spv+sales_logit_b(9)+sales_logit_b(27)*age;
       elseif (company == 3);
        spv=spv+sales_logit_b(10)+sales_logit_b(28)*age;
       elseif (company == 5);
        spv=spv+sales_logit_b(11)+sales_logit_b(29)*age;
       end;
 
       if (month == 1);
        spv=spv+sales_logit_b(12);
       elseif (month == 2);
        spv=spv+sales_logit_b(13);
       elseif (month == 3);
        spv=spv+sales_logit_b(14);
       elseif (month == 4);
        spv=spv+sales_logit_b(15);
       elseif (month == 5);
        spv=spv+sales_logit_b(16);
       elseif (month == 6);
        spv=spv+sales_logit_b(17);
       elseif (month == 7);
        spv=spv+sales_logit_b(18);
       elseif (month == 8);
        spv=spv+sales_logit_b(19);
       elseif (month == 9);
        spv=spv+sales_logit_b(20);
       elseif (month == 10);
        spv=spv+sales_logit_b(21);
       elseif (month == 11);
        spv=spv+sales_logit_b(22);
       end;

   elseif (machine == 4);   % scissor lift

       spv=sales_logit_b(1)+sales_logit_b(2)*age;

       if (ms == 2);
          spv=spv+sales_logit_b(3)+sales_logit_b(26)*age;
       elseif (ms == 3);
          spv=spv+sales_logit_b(4)+sales_logit_b(27)*age;
       end;

       if (make == 2);
        spv=spv+sales_logit_b(3);
       elseif (make == 3);
        spv=spv+sales_logit_b(4);
       end;

       if (region == 1);
        spv=spv+sales_logit_b(5);
       elseif (region == 2);
        spv=spv+sales_logit_b(6);
       elseif (region == 3);
        spv=spv+sales_logit_b(7);
       elseif (region == 5);
        spv=spv+sales_logit_b(8);
       elseif (region == 6);
        spv=spv+sales_logit_b(9);
       end;

       if (company == 2);
        spv=spv+sales_logit_b(10)+sales_logit_b(28)*age;
       elseif (company == 3);
        spv=spv+sales_logit_b(11)+sales_logit_b(29)*age;
       elseif (company == 5);
        spv=spv+sales_logit_b(12)+sales_logit_b(30)*age;
       end;
 
       if (month == 1);
        spv=spv+sales_logit_b(13);
       elseif (month == 2);
        spv=spv+sales_logit_b(14);
       elseif (month == 3);
        spv=spv+sales_logit_b(15);
       elseif (month == 4);
        spv=spv+sales_logit_b(16);
       elseif (month == 5);
        spv=spv+sales_logit_b(17);
       elseif (month == 6);
        spv=spv+sales_logit_b(18);
       elseif (month == 7);
        spv=spv+sales_logit_b(19);
       elseif (month == 8);
        spv=spv+sales_logit_b(20);
       elseif (month == 9);
        spv=spv+sales_logit_b(21);
       elseif (month == 10);
        spv=spv+sales_logit_b(22);
       elseif (month == 11);
        spv=spv+sales_logit_b(23);
       end;

   else;   % telescopic boom

       spv=sales_logit_b(1)+sales_logit_b(2)*age;

       if (ms == 2);
          spv=spv+sales_logit_b(3)+sales_logit_b(26)*age;
       elseif (ms == 3);
          spv=spv+sales_logit_b(4)+sales_logit_b(27)*age;
       end;

       if (make == 2);
        spv=spv+sales_logit_b(5);
       elseif (make == 3);
        spv=spv+sales_logit_b(6);
       end;

       if (region == 1);
        spv=spv+sales_logit_b(7);
       elseif (region == 2);
        spv=spv+sales_logit_b(8);
       elseif (region == 3);
        spv=spv+sales_logit_b(9);
       elseif (region == 4);
        spv=spv+sales_logit_b(10);
       elseif (region == 6);
        spv=spv+sales_logit_b(11);
       end;

       if (company == 3);
        spv=spv+sales_logit_b(12)+sales_logit_b(28)*age;
       elseif (company == 5);
        spv=spv+sales_logit_b(13)+sales_logit_b(29)*age;
       elseif (company == 6);
        spv=spv+sales_logit_b(14)+sales_logit_b(30)*age;
       end;
 
       if (month == 1);
        spv=spv+sales_logit_b(15);
       elseif (month == 2);
        spv=spv+sales_logit_b(16);
       elseif (month == 3);
        spv=spv+sales_logit_b(17);
       elseif (month == 4);
        spv=spv+sales_logit_b(18);
       elseif (month == 5);
        spv=spv+sales_logit_b(19);
       elseif (month == 6);
        spv=spv+sales_logit_b(20);
       elseif (month == 7);
        spv=spv+sales_logit_b(21);
       elseif (month == 8);
        spv=spv+sales_logit_b(22);
       elseif (month == 9);
        spv=spv+sales_logit_b(23);
       elseif (month == 10);
        spv=spv+sales_logit_b(24);
       elseif (month == 11);
        spv=spv+sales_logit_b(25);
       end;

   end;

   spv=exp(spv);
   spv=spv/(1.0+spv);
