% uprob.m: computes the utilization rate, i.e. the probability a machine is rented in a given month
%          Copyright, all rights reserved, John Rust, Georgetown University, John McClelland, ARA June, 2018 

   function [upv]=uprob(age,ms,month);

   global machine make company region utilization_logit_b;

   if (machine == 1);  % excavator

       spv=utilization_logit_b(1)+utilization_logit_b(2)*age;

       if (ms == 2);
          spv=spv+utilization_logit_b(3);
       elseif (ms == 3);
          spv=spv+utilization_logit_b(4);
       end;

       if (make == 2);
        spv=spv+utilization_logit_b(5);
       elseif (make == 3);
        spv=spv+utilization_logit_b(6);
       elseif (make == 4);
        spv=spv+utilization_logit_b(7);
       end;

       if (region == 3);
        spv=spv+utilization_logit_b(8);
       elseif (region == 4);
        spv=spv+utilization_logit_b(9);
       elseif (region == 6);
        spv=spv+utilization_logit_b(10);
       end;

       if (company == 1);
        spv=spv+utilization_logit_b(11);
       elseif (company == 3);
        spv=spv+utilization_logit_b(12);
       elseif (company == 5);
        spv=spv+utilization_logit_b(13);
       end;
 
       if (month == 2);
        spv=spv+utilization_logit_b(14);
       elseif (month == 3);
        spv=spv+utilization_logit_b(15);
       elseif (month == 4);
        spv=spv+utilization_logit_b(16);
       elseif (month == 5);
        spv=spv+utilization_logit_b(17);
       elseif (month == 6);
        spv=spv+utilization_logit_b(18);
       elseif (month == 7);
        spv=spv+utilization_logit_b(19);
       elseif (month == 8);
        spv=spv+utilization_logit_b(20);
       elseif (month == 9);
        spv=spv+utilization_logit_b(21);
       elseif (month == 10);
        spv=spv+utilization_logit_b(22);
       elseif (month == 11);
        spv=spv+utilization_logit_b(23);
       elseif (month == 12);
        spv=spv+utilization_logit_b(24);
       end;
              
   elseif (machine == 2);  % high-reach forklift

       spv=utilization_logit_b(1)+utilization_logit_b(2)*age;

       if (ms == 2);
          spv=spv+utilization_logit_b(3);
       elseif (ms == 3);
          spv=spv+utilization_logit_b(4);
       end;

       if (make == 1);
        spv=spv+utilization_logit_b(5);
       elseif (make == 2);
        spv=spv+utilization_logit_b(6);
       elseif (make == 3);
        spv=spv+utilization_logit_b(7);
       elseif (make == 5);
        spv=spv+utilization_logit_b(8);
       elseif (make == 6);
        spv=spv+utilization_logit_b(9);
       end;

       if (region == 2);
        spv=spv+utilization_logit_b(10);
       elseif (region == 3);
        spv=spv+utilization_logit_b(11);
       elseif (region == 6);
        spv=spv+utilization_logit_b(12);
       end;

       if (company == 2);
        spv=spv+utilization_logit_b(13);
       elseif (company == 3);
        spv=spv+utilization_logit_b(14);
       elseif (company == 4);
        spv=spv+utilization_logit_b(15);
       elseif (company == 5);
        spv=spv+utilization_logit_b(16);
       end;
 
       if (month == 2);
        spv=spv+utilization_logit_b(17);
       elseif (month == 3);
        spv=spv+utilization_logit_b(18);
       elseif (month == 4);
        spv=spv+utilization_logit_b(19);
       elseif (month == 5);
        spv=spv+utilization_logit_b(20);
       elseif (month == 6);
        spv=spv+utilization_logit_b(21);
       elseif (month == 7);
        spv=spv+utilization_logit_b(22);
       elseif (month == 8);
        spv=spv+utilization_logit_b(23);
       elseif (month == 9);
        spv=spv+utilization_logit_b(24);
       elseif (month == 10);
        spv=spv+utilization_logit_b(25);
       elseif (month == 11);
        spv=spv+utilization_logit_b(26);
       elseif (month == 12);
        spv=spv+utilization_logit_b(27);
       end;
              
   elseif (machine == 3);   % skid steer

       spv=utilization_logit_b(1)+utilization_logit_b(2)*age;

       if (ms == 1);
          spv=spv+utilization_logit_b(3);
       elseif (ms == 3);
          spv=spv+utilization_logit_b(4);
       end;

       if (make == 1);
        spv=spv+utilization_logit_b(5);
       end;

       if (region == 2);
        spv=spv+utilization_logit_b(6);
       elseif (region == 3);
        spv=spv+utilization_logit_b(7);
       elseif (region == 6);
        spv=spv+utilization_logit_b(8);
       end;

       if (company == 1);
        spv=spv+utilization_logit_b(9);
       elseif (company == 3);
        spv=spv+utilization_logit_b(10);
       elseif (company == 5);
        spv=spv+utilization_logit_b(11);
       end;
 
       if (month == 2);
        spv=spv+utilization_logit_b(12);
       elseif (month == 3);
        spv=spv+utilization_logit_b(13);
       elseif (month == 4);
        spv=spv+utilization_logit_b(14);
       elseif (month == 5);
        spv=spv+utilization_logit_b(15);
       elseif (month == 6);
        spv=spv+utilization_logit_b(16);
       elseif (month == 7);
        spv=spv+utilization_logit_b(17);
       elseif (month == 8);
        spv=spv+utilization_logit_b(18);
       elseif (month == 9);
        spv=spv+utilization_logit_b(19);
       elseif (month == 10);
        spv=spv+utilization_logit_b(20);
       elseif (month == 11);
        spv=spv+utilization_logit_b(21);
       elseif (month == 12);
        spv=spv+utilization_logit_b(22);
       end;

   elseif (machine == 4);   % scissor lift

       spv=utilization_logit_b(1)+utilization_logit_b(2)*age;

       if (ms == 2);
          spv=spv+utilization_logit_b(3);
       elseif (ms == 3);
          spv=spv+utilization_logit_b(4);
       end;

       if (make == 2);
        spv=spv+utilization_logit_b(5);
       elseif (make == 3);
        spv=spv+utilization_logit_b(6);
       end;

       if (region == 2);
        spv=spv+utilization_logit_b(7);
       elseif (region == 3);
        spv=spv+utilization_logit_b(8);
       elseif (region == 6);
        spv=spv+utilization_logit_b(9);
       end;

       if (company == 2);
        spv=spv+utilization_logit_b(10);
       elseif (company == 3);
        spv=spv+utilization_logit_b(11);
       elseif (company == 4);
        spv=spv+utilization_logit_b(12);
       elseif (company == 5);
        spv=spv+utilization_logit_b(13);
       end;
 
       if (month == 2);
        spv=spv+utilization_logit_b(14);
       elseif (month == 3);
        spv=spv+utilization_logit_b(15);
       elseif (month == 4);
        spv=spv+utilization_logit_b(16);
       elseif (month == 5);
        spv=spv+utilization_logit_b(17);
       elseif (month == 6);
        spv=spv+utilization_logit_b(18);
       elseif (month == 7);
        spv=spv+utilization_logit_b(19);
       elseif (month == 8);
        spv=spv+utilization_logit_b(20);
       elseif (month == 9);
        spv=spv+utilization_logit_b(21);
       elseif (month == 10);
        spv=spv+utilization_logit_b(22);
       elseif (month == 11);
        spv=spv+utilization_logit_b(23);
       elseif (month == 12);
        spv=spv+utilization_logit_b(24);
       end;

   else;   % telescopic boom

       spv=utilization_logit_b(1)+utilization_logit_b(2)*age;

       if (ms == 2);
          spv=spv+utilization_logit_b(3);
       elseif (ms == 3);
          spv=spv+utilization_logit_b(4);
       end;

       if (make == 2);
        spv=spv+utilization_logit_b(5);
       elseif (make == 3);
        spv=spv+utilization_logit_b(6);
       end;

       if (region == 2);
        spv=spv+utilization_logit_b(7);
       elseif (region == 3);
        spv=spv+utilization_logit_b(8);
       elseif (region == 6);
        spv=spv+utilization_logit_b(9);
       end;

       if (company == 1);
        spv=spv+utilization_logit_b(10);
       elseif (company == 3);
        spv=spv+utilization_logit_b(11);
       elseif (company == 4);
        spv=spv+utilization_logit_b(12);
       elseif (company == 5);
        spv=spv+utilization_logit_b(13);
       end;
 
       if (month == 2);
        spv=spv+utilization_logit_b(14);
       elseif (month == 3);
        spv=spv+utilization_logit_b(15);
       elseif (month == 4);
        spv=spv+utilization_logit_b(16);
       elseif (month == 5);
        spv=spv+utilization_logit_b(17);
       elseif (month == 6);
        spv=spv+utilization_logit_b(18);
       elseif (month == 7);
        spv=spv+utilization_logit_b(19);
       elseif (month == 8);
        spv=spv+utilization_logit_b(20);
       elseif (month == 9);
        spv=spv+utilization_logit_b(21);
       elseif (month == 10);
        spv=spv+utilization_logit_b(22);
       elseif (month == 11);
        spv=spv+utilization_logit_b(23);
       elseif (month == 12);
        spv=spv+utilization_logit_b(24);
       end;

   end;

   upv=1.0/(1.0+exp(spv));
